<?php
error_reporting(0);
require_once("../check.php");
foreach($_POST as $a => $b){
    if($a!="qiandao"){
        $douhao=",";
    }else{
        $douhao=null;
    }
    $d .= "\n".'\''.$a.'\'=>\''.$b.'\''.$douhao;
}
$php  = '<?php';
$php .= "\n";
$php .= '$setting = array(';
$php .= $d;
$php .= "\n";
$php .= ');';
$php .= "\n";
$php .='?>';

$ok = file_put_contents("../../core/setting.php",$php);
if($ok){
    echo "ok";
    exit;
}else{
    echo "error";
}
?>